<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Google_Client;
use Google_Service_Sheets;

class GoogleAuthController extends Controller
{
    public function redirectToGoogle()
    {
        $config = ['redirect_uri' => "http://localhost:8000/google/callback"];
        $client = new Google_Client($config);
        /*$client->setAuthConfig([
            'client_id' => env('GOOGLE_CLIENT_ID'),
            'client_secret' => env('GOOGLE_CLIENT_SECRET'),
            'redirect_uri' => "http://localhost:8000/google/callback",
        ]);*/

        // get file from storage
        $client->setAuthConfig(storage_path('app/credentials.json'));
        $client->addScope(Google_Service_Sheets::SPREADSHEETS);
        $params['redirect_uri'] = "http://localhost:8000/google/callback";


        $authUrl = $client->createAuthUrl();
        return redirect($authUrl);
    }

    public function handleGoogleCallback()
    {
        $client = new Google_Client();
        $client->setAuthConfig([
            'client_id' => env('GOOGLE_CLIENT_ID'),
            'client_secret' => env('GOOGLE_CLIENT_SECRET'),
            'redirect_uri' => "http://localhost:8000/google/callback"
        ]);
        $token = $client->fetchAccessTokenWithAuthCode($_GET['code']);
        // Store the token in a secure place
        // ...
        return redirect('/');
    }
}
